Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net
Interface ProtocolCommandListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  PrintCommandListener

public interface ProtocolCommandListener
extends EventListener

There exists a large class of IETF protocols that work by sending an ASCII text command and arguments to a server, and then receiving an ASCII text reply. For debugging and other purposes, it is extremely useful to log or keep track of the contents of the protocol messages. The ProtocolCommandListener interface coupled with the `ProtocolCommandEvent` class facilitate this process.

To receive ProtocolCommandEvents, you merely implement the ProtocolCommandListener interface and register the class as a listener with a ProtocolCommandEvent source such as `FTPClient`.

Author:
  Daniel F. Savarese
See Also:
  `ProtocolCommandEvent`, `ProtocolCommandSupport`

Method Summary
`void` | `protocolCommandSent(ProtocolCommandEvent event)` This method is invoked by a ProtocolCommandEvent source after sending a protocol command to a server.
`void` | `protocolReplyReceived(ProtocolCommandEvent event)` This method is invoked by a ProtocolCommandEvent source after receiving a reply from a server.

Method Detail

### protocolCommandSent

    public void protocolCommandSent(ProtocolCommandEvent event)

  This method is invoked by a ProtocolCommandEvent source after sending a protocol command to a server.

  Parameters:
    `event` - The ProtocolCommandEvent fired.

### protocolReplyReceived

    public void protocolReplyReceived(ProtocolCommandEvent event)

  This method is invoked by a ProtocolCommandEvent source after receiving a reply from a server.

  Parameters:
    `event` - The ProtocolCommandEvent fired.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997-2005 The Apache Software Foundation. All Rights Reserved.